## symas-openssl 3.0.15

=== debian/changelog ===
symas-openssl (3.0.15-3bullseye1) bullseye; urgency=medium

  * Tighten git archive generation for reproducibility
  * Modernize for apkg compat = 6

 -- Symas Support <support@symas.com>  Mon, 20 Oct 2025 20:52:00 +0000

symas-openssl (3.0.15-2bullseye1) bullseye; urgency=medium

  * Add Alma10 to builds

 -- Symas Support <support@symas.com>  Wed, 01 Oct 2025 12:42:44 +0000

symas-openssl (3.0.15-1bullseye1) bullseye; urgency=medium

  * OpenSSL 3.0.15-1 Release

 -- Symas Support <support@symas.com>  Tue, 17 Sep 2024 13:44:17 +0000

symas-openssl (3.0.14-1bullseye1) bullseye; urgency=medium

  * OpenSSL 3.0.14-1 Release

 -- Symas Support <support@symas.com>  Mon, 22 Jul 2024 08:40:30 +0000

symas-openssl (3.0.13-1bullseye1) bullseye; urgency=medium

  * Switch to apkg for packaging
  * Trim Build-depends

 -- Symas Support <support@symas.com>  Tue, 04 Jun 2024 13:45:19 +0000

symas-openssl (3.0.8-1bullseye1) bullseye; urgency=medium

  * OpenSSL 3.0.8 release

 -- Symas Support <support@symas.com>  Mon, 29 May 2023 06:28:54 +0000

symas-openssl (1.1.1s-1bullseye1) bullseye; urgency=medium

  * OpenSSL 1.1.1s release

 -- Symas Support <support@symas.com>  Fri, 11 Nov 2022 11:33:49 +0000

symas-openssl (1.1.1p-1bullseye1) bullseye; urgency=medium

  * OpenSSL 1.1.1p release

 -- Symas Support <support@symas.com>  Thu, 23 Jun 2022 20:53:09 +0000

symas-openssl (1.1.1o-1bullseye1) bullseye; urgency=medium

  * OpenSSL 1.1.1o release with updated test certificates
  * Update expired SCT certificates patch
  * ct_test.c Update the epoch time patch

 -- Symas Support <support@symas.com>  Fri, 03 Jun 2022 11:30:09 +0000

symas-openssl (1.1.1l-2bullseye1) bullseye; urgency=medium

  * Install LICENSE, CHANGES, NEWS, and README file

 -- Symas Support <support@symas.com>  Thu, 02 Dec 2021 04:25:58 +0000

symas-openssl (1.1.1l-1bullseye1) bullseye; urgency=medium

  * OpenSSL 1.1.1l release

 -- Symas Support <support@symas.com>  Tue, 24 Aug 2021 16:52:58 +0000

symas-openssl (1.1.1k-2bullseye1) bullseye; urgency=medium

  * Change ssldir path to match odd Symas OpenLDAP Gold location

 -- Symas Support <support@symas.com>  Thu, 20 May 2021 21:58:54 +0000

symas-openssl (1.1.1k-1bullseye1) bullseye; urgency=medium

  * Initial Release.

 -- Symas Support <support@symas.com>  Tue, 6 Apr 2021 22:26:24 +0000
