=== debian/control ===
Source: symas-openssl
Build-Depends: debhelper (>= 10), symas-buildtools
Section: utils
Priority: optional
Maintainer: Symas Support <support@symas.com>
Standards-Version:4.5.0Homepage: https://www.openssl.org
Vcs-Git: https://git.symas.net/symas-public/openssl.git
Vcs-Browser: https://git.symas.net/symas-public/openssl

Package: symas-openssl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, symas-openssl-lib (= ${binary:Version})
Description: OpenSSL Binaries
 This package contains the OpenSSL binaries and utility scripts

Package: symas-openssl-lib
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSSL Libraries
 This package contains the OpenSSL shared libraries

Package: symas-openssl-dev
Section: libdevel
Architecture: any
Depends: symas-openssl-lib (= ${binary:Version}), ${misc:Depends}
Description: OpenSSL development pieces
 This package contains the development headers and shared library links
