=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto

PREFIX  ?= /opt/symas
ETCFIX  ?= $(PREFIX)/etc
LIBFIX  ?= $(PREFIX)/lib
VARFIX  ?= /var/symas

# Follow upstream's advice
# https://github.com/openssl/openssl/blob/master/NOTES-UNIX.md?plain=1#L43
export DEB_LDFLAGS_MAINT_APPEND="-Wl,-rpath,$(LIBFIX)"

ifeq ($(DEB_TARGET_ARCH_CPU),amd64)
	sslarch=linux-x86_64
else ifeq ($(DEB_TARGET_ARCH_CPU),arm64)
	sslarch=linux-aarch64
else ifeq ($(DEB_TARGET_ARCH_CPU),ppc64el)
	sslarch=linux-ppc64le
else
	$(error architecture $(DEB_TARGET_ARCH_CPU) not mapped yet)
endif

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	HASHBANGPERL=/usr/bin/perl ./Configure no-idea enable-ec_nistp_64_gcc_128 no-mdc2 no-rc5 no-egd \
	-g --debug --prefix=$(PREFIX) --libdir=lib --openssldir=$(PREFIX)/ssl \
	shared $(sslarch) -g -O2

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

override_dh_auto_install:
	LD_RUN_PATH=$(LIBFIX) $(MAKE) DESTDIR=$$(pwd)/debian/tmp INSTALL_PREFIX=$$(pwd)/debian/tmp LIBS="" install
	mkdir -p $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl
	rm -rf $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl/html
	cp CHANGES.md $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl/
	cp LICENSE.txt $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl/
	cp NEWS.md $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl/
	cp README.md $$(pwd)/debian/tmp/$(PREFIX)/share/doc/openssl/
