=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
https://github.com/openssl/openssl \
refs/tags/openssl-(3\.0\.\d+) debian uupdate
